# Sipariş güncellenir.

## PUT /Orders

> Sipariş Güncellenir.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"UpdateOrderCommand":{"type":"object","properties":{"OrderID":{"type":"integer","format":"int32"},"InvoiceType":{"$ref":"#/components/schemas/InvoiceType"},"Customer":{"$ref":"#/components/schemas/CustomerDto"},"OrderLines":{"type":"array","items":{"$ref":"#/components/schemas/OrderLines"},"nullable":true}},"additionalProperties":false},"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"},"CustomerDto":{"type":"object","properties":{"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true}},"additionalProperties":false},"OrderLines":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"ProductName":{"type":"string","nullable":true},"Price":{"type":"number","format":"double"},"TotalAmount":{"type":"number","format":"double"},"Quantity":{"type":"integer","format":"int32"},"TaxPercent":{"type":"number","format":"double"},"OzelMatrahReason":{"type":"string","nullable":true},"OzelMatrahTotal":{"type":"number","format":"double","nullable":true},"IsLaborCost":{"type":"boolean"},"AllowanceTotal":{"type":"number","format":"double"}},"additionalProperties":false}}},"paths":{"/Orders":{"put":{"tags":["Orders"],"summary":"Sipariş Güncellenir.","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateOrderCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrderCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateOrderCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateOrderCommand"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## The InvoiceType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"InvoiceType":{"enum":["SATIS","IADE","ISTISNA","TEVKIFAT","IHRACKAYITLI","IPTAL","OZELMATRAH","SGK","TEVKIFATIADE","KOMISYONCU","HKSSATIS","HKSKOMISYONCU","KONAKLAMAVERGISI","SARJ","SARJANLIK"],"type":"string"}}}}
```

## The CustomerDto object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"CustomerDto":{"type":"object","properties":{"City":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"TaxDepartment":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The OrderLines object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"OrderLines":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"ProductName":{"type":"string","nullable":true},"Price":{"type":"number","format":"double"},"TotalAmount":{"type":"number","format":"double"},"Quantity":{"type":"integer","format":"int32"},"TaxPercent":{"type":"number","format":"double"},"OzelMatrahReason":{"type":"string","nullable":true},"OzelMatrahTotal":{"type":"number","format":"double","nullable":true},"IsLaborCost":{"type":"boolean"},"AllowanceTotal":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```
